API SpecificationUploads
Create signed upload intent
Creates a signed upload intent token with optional upload constraints and metadata.
Authorization
OAuth2 upl:uploads:createAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:uploads:create
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?|
Reference to a bucket by ID or hostname
expiresAt?google.protobuf.Timestamp|null
metadata?|null
constraints?|null
filename?string
Upload options (all concrete at intent creation)
tags?tags
uploadedBy?string
allowAnyExtension?boolean
defaultSlugExtension?string|null
private?boolean|null
resourcePermissions?
Resource permissions to grant after upload completion
integrationHidden?boolean|null
Whether the parent folder should be hidden from non-integration clients. Only settable by integration API key clients.
create*
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/CreateSignedUploadIntent" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "create": {} }'{
"signedIntentToken": "string",
"expiresAt": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}